Subject: Re: [PATCH net-next RFC 0/2] add elevated refcnt support for page pool

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 6 Jul 2021 16:51:31 +0100

On Fri, Jul 02, 2021 at 03:39:47PM +0200, Matteo Croce wrote:
> On Wed, 30 Jun 2021 17:17:54 +0800
> Yunsheng Lin <[email-masked]> wrote:
> 
> > This patchset adds elevated refcnt support for page pool
> > and enable skb's page frag recycling based on page pool
> > in hns3 drvier.
> > 
> > Yunsheng Lin (2):
> >   page_pool: add page recycling support based on elevated refcnt
> >   net: hns3: support skb's frag page recycling based on page pool
> > 
> >  drivers/net/ethernet/hisilicon/hns3/hns3_enet.c    |  79 +++++++-
> >  drivers/net/ethernet/hisilicon/hns3/hns3_enet.h    |   3 +
> >  drivers/net/ethernet/hisilicon/hns3/hns3_ethtool.c |   1 +
> >  drivers/net/ethernet/marvell/mvneta.c              |   6 +-
> >  drivers/net/ethernet/marvell/mvpp2/mvpp2_main.c    |   2 +-
> >  include/linux/mm_types.h                           |   2 +-
> >  include/linux/skbuff.h                             |   4 +-
> >  include/net/page_pool.h                            |  30 ++-
> >  net/core/page_pool.c                               | 215
> > +++++++++++++++++---- 9 files changed, 285 insertions(+), 57
> > deletions(-)
> > 
> 
> Interesting!
> Unfortunately I'll not have access to my macchiatobin anytime soon, can
> someone test the impact, if any, on mvpp2?

I'll try to test. Please let me know what kind of testing you're
looking for (I haven't been following these patches, sorry.)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!